Bug 965753 - GStreamer playback stops when transitioning from MP3 to Ogg or FLAC
GStreamer playback stops when transitioning from MP3 to Ogg or FLAC
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-base (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 12:22 EDT by Brian Marshall
Modified: 2014-02-05 16:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:28:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 680252 None None None Never

  None (edit)
Description Brian Marshall 2013-05-21 12:22:02 EDT
Description of problem:
When playing songs in my music player (Quod Libet), playback will stop when transitioning from an MP3 file to an Ogg or FLAC file. It stops at 0:00 of the new song. Pausing and unpausing doesn't do anything, but seeking (even to 0:00) will make the song go.

Version-Release number of selected component (if applicable):
gstreamer-plugins-base-0.10.36-3.fc18.x86_64

How reproducible:
Always - it happens often for me since I have a mix of file formats, so shuffle mode is a big hassle.

Steps to Reproduce:
1. Start playing an MP3 file
2. Have an Ogg or FLAC file set to play next

Actual results:
Playback stops at 0:00 of the new file.

Expected results:
Playback should keep going.

Additional info:
I know that Fedora doesn't support MP3, but the bug seems to be in gstreamer-plugins-base. Upstream has a patch in the Git repo that's supposed to fix this: http://cgit.freedesktop.org/gstreamer/gst-plugins-base/commit/?h=0.10&id=969fe8c0b97ae4ac58aacf7530ca1bfbc2b5969a

There's an upstream GNOME bug that I've added to this one, as well as a Debian bug where they apply this patch: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668109

Also, it may fix RH bug 911881, but I'm not sure if that's the same.

Thanks!
Comment 1 Fedora End Of Life 2013-12-21 08:39:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:28:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.